#!/bin/sh
# Script para generar un patch para el Makefile de DAHDI
# de acuerdo a donde este el header oslec.h (provisto por dkms-oslec)
# Este script es ejecutado al hacer dkms build, y luego se aplica el parche

OSLECDIR=`find /usr/src -maxdepth 1 -type d -name "oslec*"`
for DIR in $OSLECDIR
do
		if [ -r "$DIR/drivers/staging/echo/echo.h" ]
		then
				OSLECINCFILE=$DIR/drivers/staging/echo/echo.h
				OSLECINCDIR=`dirname $OSLECINCFILE`
				echo "Oslec header oslec.h found in: $OSLECINCDIR"
		fi
done

if [ "$OSLECINCFILE" = "" ]
then
		echo "Oslec header not found. Aborting..."
		exit 1
fi

OSLECINCDIR_ESC=`echo $OSLECINCDIR | sed 's/\\//\\\\\\//g'`

echo "cd to dir $1"
cd $1
mkdir -p patches
cat Makefile | sed "s/DAHDI_INCLUDE=\$(PWD)\/include/DAHDI_INCLUDE=\"\$(PWD)\/include -I$OSLECINCDIR_ESC\"/" > patches/Makefile.oslecincdir
cp -af Makefile patches/Makefile
echo "Generating patch patches/oslecincdir.patch"
diff -u patches/Makefile patches/Makefile.oslecincdir > patches/oslecincdir.patch
